Subject: bug#27217: texlive is too big

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 17 Jan 2019 11:39:24 +0100

Pierre Neidhardt <[email-masked]> writes:

> And this highlights another big issue with our current build system: it's very
> hard to know which file is already packaged.  It could very well be that some
> texlive packages have conflicts simply because we've accidentally packaged the
> same files in different packages.

It’s not a problem of the build system.  The build system works fine for
ins/dtx files.

This is a problem with the TeX Live distribution.  It does not consist
of packages for the most part, but represents a directory tree that
is meant to be unpacked in place.

In some cases we use upstream packages as in the case of
“texlive-fonts-lm”, which provides a zip file that can be unpacked into
a texmf-dist tree.  In other cases all we can do is take the TeX Live
upstream sources from various SVN directories.

It sucks, but I don’t see how you could do much better given this
distribution method.

--
Ricardo